package com.ssm.mapper.system;

import com.ssm.model.system.SysPosition;
import com.ssm.model.system.SysPositionExample;

import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface SysPositionMapper {
    int countByExample(SysPositionExample example);

    int deleteByExample(SysPositionExample example);

    int deleteByPrimaryKey(Integer positionid);

    int insert(SysPosition record);

    int insertSelective(SysPosition record);

    List<SysPosition> selectByExample(SysPositionExample example);

    SysPosition selectByPrimaryKey(Integer positionid);

    int updateByExampleSelective(@Param("record") SysPosition record, @Param("example") SysPositionExample example);

    int updateByExample(@Param("record") SysPosition record, @Param("example") SysPositionExample example);

    int updateByPrimaryKeySelective(SysPosition record);

    int updateByPrimaryKey(SysPosition record);
    
    /**
	 * 职位查询
	 * */
	//String positionname,String positioncode,String depname
	public List<SysPosition> getPostionFind(SysPosition sysPosition);
	/**
	 * 删除职位
	 * */
	public void deleteSysPostion(Integer positionid);
	
	public Integer QuerySysPostionId(Integer depid);
	
	public List<SysPosition> selectAllPostion();
}